Bug 1143935 - (6.4.0) Upgrade to JBossWS 4.3.1.Final (from 4.3.0.Final-redhat-3)
Summary: (6.4.0) Upgrade to JBossWS 4.3.1.Final (from 4.3.0.Final-redhat-3)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR2
: EAP 6.4.0
Assignee: Alessio Soldano
QA Contact: Rostislav Svoboda
URL:
Whiteboard:
Depends On: 1083770 1110631 1115214 1135577
Blocks: 1144103 1145569 1150877 1157479
TreeView+ depends on / blocked
 
Reported: 2014-09-18 09:40 UTC by Alessio Soldano
Modified: 2019-08-02 07:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-02 07:30:47 UTC
Type: Component Upgrade


Attachments (Terms of Use)

Description Alessio Soldano 2014-09-18 09:40:36 UTC
This is about upgrading to the latest JBossWS stack, which includes:
* JBossWS-CXF 4.3.1.Final
* JBossWS-Common 2.3.1.Final
* Apache CXF 2.7.12
* Apache WSS4J 1.6.16
* Apache Santuario 1.5.7

Comment 1 Alessio Soldano 2014-09-18 14:14:17 UTC
PR: https://github.com/jbossas/jboss-eap/pull/1696
JIRA: https://issues.jboss.org/browse/WFLY-3822
Upstream PR: https://github.com/wildfly/wildfly/pull/6679 + https://github.com/wildfly/wildfly/pull/6728
No need for upstream master changes, as WFLY 9 is already on JBWS 5.

Comment 2 Jan Blizňák 2014-09-24 13:42:10 UTC
Verified on 6.4.0.DR2

All components present with specified versions
JBossWS-CXF 4.3.1.Final 
JBossWS-Common 2.3.1.Final
Apache CXF 2.7.12
Apache WSS4J 1.6.16
Apache Santuario 1.5.7

There is an issue with missing jandex for CXF module https://bugzilla.redhat.com/show_bug.cgi?id=1145745, but I am setting this BZ as verified and we will track that issue in its own BZ.


Note You need to log in before you can comment on or make changes to this bug.